package com.platform.controller;

import java.util.List;
import java.util.Map;

import com.platform.annotation.CanUserUpdateRecord;
import com.platform.entity.Result;
import org.apache.shiro.authz.annotation.RequiresPermissions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import com.platform.entity.OrderGoodsEntity;
import com.platform.service.OrderGoodsService;
import com.platform.utils.PageUtils;
import com.platform.utils.Query;



/**
 *
 *
 * @author lipengjun
 * @email 939961241@qq.com
 * @date 2017-08-13 10:41:09
 */
@RestController
@RequestMapping("ordergoods")
public class OrderGoodsController {
	@Autowired
	private OrderGoodsService orderGoodsService;

	/**
	 * 列表
	 */
	@RequestMapping("/list")
	
	public Result list(@RequestBody Map<String, Object> params){
		//查询列表数据
        Query query = new Query(params);

		List<OrderGoodsEntity> orderGoodsList = orderGoodsService.queryList(query);
		int total = orderGoodsService.queryTotal(query);

		PageUtils pageUtil = new PageUtils(orderGoodsList, total, query.getLimit(), query.getPage());

		return Result.success(pageUtil);
	}


	/**
	 * 信息
	 */
	@RequestMapping("/info/{id}")
	
	public Result info(@PathVariable("id") Integer id){
		OrderGoodsEntity orderGoods = orderGoodsService.queryObject(id);

		return Result.success(orderGoods);
	}

	/**
	 * 保存
	 */
	@CanUserUpdateRecord
	@RequestMapping("/save")
	
	public Result save(@RequestBody OrderGoodsEntity orderGoods){
		orderGoodsService.save(orderGoods);

		return Result.success();
	}

	/**
	 * 修改
	 */
	@CanUserUpdateRecord
	@RequestMapping("/update")
	
	public Result update(@RequestBody OrderGoodsEntity orderGoods){
		orderGoodsService.update(orderGoods);

		return Result.success();
	}

	/**
	 * 删除
	 */
	@CanUserUpdateRecord
	@RequestMapping("/delete")
	
	public Result delete(@RequestBody Integer[] ids){
		orderGoodsService.deleteBatch(ids);

		return Result.success();
	}

	/**
	 * 查看所有列表
	 */
	@RequestMapping("/queryAll")
	public Result queryAll(@RequestBody Map<String, Object> params) {

		List<OrderGoodsEntity> list = orderGoodsService.queryList(params);

		return Result.success(list);
	}
}
